ثبّت هذه الصفحة كتطبيق 🪄 انقر فوق الرمز في أعلى يمين شريط العناوين.

التوقيعات

GET https://ozan.fun/api/signatures/
curl --request GET \
--url 'https://ozan.fun/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
search اختياري سلسلة سلسلة البحث.
search_by اختياري سلسلة ما هو الحقل الذي تبحث فيه؟ القيم المسموح بها هي: name.
datetime_field اختياري سلسلة القيم المسموح بها: datetime, last_datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة ما هو الحقل الذي يجب ترتيب النتائج به. القيم المسموح بها هي: signature_id, datetime, last_datetime, name.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد الحصول على النتائج منها. الافتراضي هو 1.
results_per_page اختياري عدد صحيح كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-07-05 04:58:54"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://ozan.fun/api/signatures?page=1",
        "last": "https://ozan.fun/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://ozan.fun/api/signatures?page=1"
    }
}
GET https://ozan.fun/api/signatures/{signature_id}
curl --request GET \
--url 'https://ozan.fun/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-05 04:58:54"
    }
}
POST https://ozan.fun/api/signatures
المعلمات التفاصيل الوصف
name مطلوب سلسلة الاسم
project_id اختياري عدد صحيح سيساعدك المشروع على تصنيف مواردك.
template اختياري سلسلة القيم المسموح بها: plain_text, mars, mercury, venus, nova
direction اختياري سلسلة القيم المسموح بها: ltr, rtl
is_removed_branding اختياري منطقي Remove branding
image_url اختياري سلسلة Only use JPG, JPEG, GIF, PNG images.
sign_off اختياري سلسلة Sign off
full_name اختياري سلسلة Full name
job_title اختياري سلسلة Job title
department اختياري سلسلة Department
company اختياري سلسلة Company
email اختياري سلسلة البريد الإلكتروني
website_name اختياري سلسلة Website name
website_url اختياري سلسلة Website URL
address اختياري سلسلة Address
address_url اختياري سلسلة Link to a Google maps location, for example.
phone_number اختياري سلسلة Phone number
whatsapp اختياري سلسلة واتساب
facebook_messenger اختياري سلسلة Facebook messenger username
telegram اختياري سلسلة Telegram username
disclaimer اختياري سلسلة Disclaimer text
font_family اختياري سلسلة القيم المسموح بها: arial, verdana, helvetica, times_new_roman, georgia
font_size اختياري عدد صحيح القيم المسموح بها: 12-18
width اختياري عدد صحيح القيم المسموح بها: 300-600
image_width اختياري عدد صحيح القيم المسموح بها: 45-150
image_border_radius اختياري عدد صحيح القيم المسموح بها: 0-100
socials_width اختياري عدد صحيح القيم المسموح بها: 15-30
socials_padding اختياري عدد صحيح القيم المسموح بها: 5-15
separator_size اختياري عدد صحيح القيم المسموح بها: 0-5
border_radius اختياري عدد صحيح القيم المسموح بها: 0-30
background_color اختياري سلسلة Background color
border_color اختياري سلسلة Border color
theme_color اختياري سلسلة Theme color
full_name_color اختياري سلسلة Full name color
text_color اختياري سلسلة لون النص
link_color اختياري سلسلة Link color
facebook اختياري سلسلة Facebook username
threads اختياري سلسلة Threads username
x اختياري سلسلة X username
instagram اختياري سلسلة Instagram username
youtube اختياري سلسلة YouTube channel
tiktok اختياري سلسلة TikTok username
spotify اختياري سلسلة Spotify username
pinterest اختياري سلسلة Pinterest username
linkedin اختياري سلسلة LinkedIn username
snapchat اختياري سلسلة Snapchat username
twitch اختياري سلسلة Twitch username
discord اختياري سلسلة Discord user id
github اختياري سلسلة Github username
reddit اختياري سلسلة Reddit username
curl --request POST \
--url 'https://ozan.fun/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-05 04:58:54"
    }
}
POST https://ozan.fun/api/signatures/{signature_id}
المعلمات التفاصيل الوصف
name اختياري سلسلة الاسم
project_id اختياري عدد صحيح سيساعدك المشروع على تصنيف مواردك.
template اختياري سلسلة القيم المسموح بها: plain_text, mars, mercury, venus, nova
direction اختياري سلسلة القيم المسموح بها: ltr, rtl
is_removed_branding اختياري منطقي Remove branding
image_url اختياري سلسلة Only use JPG, JPEG, GIF, PNG images.
sign_off اختياري سلسلة Sign off
full_name اختياري سلسلة Full name
job_title اختياري سلسلة Job title
department اختياري سلسلة Department
company اختياري سلسلة Company
email اختياري سلسلة البريد الإلكتروني
website_name اختياري سلسلة Website name
website_url اختياري سلسلة Website URL
address اختياري سلسلة Address
address_url اختياري سلسلة Link to a Google maps location, for example.
phone_number اختياري سلسلة Phone number
whatsapp اختياري سلسلة واتساب
facebook_messenger اختياري سلسلة Facebook messenger username
telegram اختياري سلسلة Telegram username
disclaimer اختياري سلسلة Disclaimer text
font_family اختياري سلسلة القيم المسموح بها: arial, verdana, helvetica, times_new_roman, georgia
font_size اختياري عدد صحيح القيم المسموح بها: 12-18
width اختياري عدد صحيح القيم المسموح بها: 300-600
image_width اختياري عدد صحيح القيم المسموح بها: 45-150
image_border_radius اختياري عدد صحيح القيم المسموح بها: 0-100
socials_width اختياري عدد صحيح القيم المسموح بها: 15-30
socials_padding اختياري عدد صحيح القيم المسموح بها: 5-15
separator_size اختياري عدد صحيح القيم المسموح بها: 0-5
border_radius اختياري عدد صحيح القيم المسموح بها: 0-30
background_color اختياري سلسلة Background color
border_color اختياري سلسلة Border color
theme_color اختياري سلسلة Theme color
full_name_color اختياري سلسلة Full name color
text_color اختياري سلسلة لون النص
link_color اختياري سلسلة Link color
facebook اختياري سلسلة Facebook username
threads اختياري سلسلة Threads username
x اختياري سلسلة X username
instagram اختياري سلسلة Instagram username
youtube اختياري سلسلة YouTube channel
tiktok اختياري سلسلة TikTok username
spotify اختياري سلسلة Spotify username
pinterest اختياري سلسلة Pinterest username
linkedin اختياري سلسلة LinkedIn username
snapchat اختياري سلسلة Snapchat username
twitch اختياري سلسلة Twitch username
discord اختياري سلسلة Discord user id
github اختياري سلسلة Github username
reddit اختياري سلسلة Reddit username
curl --request POST \
--url 'https://ozan.fun/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-07-05 04:58:54",
        "datetime": "2026-07-05 04:58:54"
    }
}
DELETE https://ozan.fun/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://ozan.fun/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \